## org.codehaus.groovy.tools.groovydoc
Class SimpleGroovyMethodDoc

Field Summary
`GroovyType` | `returnType`

Constructor Summary
`SimpleGroovyMethodDoc(String name)`
`SimpleGroovyMethodDoc(String name, List links)`

Method Summary
`boolean` | `isAbstract()`
`boolean` | `isReturnTypeAvailable()`
`GroovyClassDoc` | `overriddenClass()`
`GroovyMethodDoc` | `overriddenMethod()`
`GroovyType` | `overriddenType()`
`boolean` | `overrides(GroovyMethodDoc arg0)`
`GroovyType` | `returnType()`
`void` | `setReturnType(GroovyType returnType)`

Constructor Detail

### SimpleGroovyMethodDoc

    public SimpleGroovyMethodDoc(String name)

### SimpleGroovyMethodDoc

    public SimpleGroovyMethodDoc(String name, List links)

Method Detail

### isAbstract

    public boolean isAbstract()

### isReturnTypeAvailable

    public boolean isReturnTypeAvailable()

### overriddenClass

    public GroovyClassDoc overriddenClass()

### overriddenMethod

    public GroovyMethodDoc overriddenMethod()

### overriddenType

    public GroovyType overriddenType()

### overrides

    public boolean overrides(GroovyMethodDoc arg0)

### returnType

    public GroovyType returnType()

### setReturnType

    public void setReturnType(GroovyType returnType)